// -*-C++-*-
/*!
 * @file  ForceSensorSVC_impl.h
 * @brief Service implementation header of ForceSensor.idl
 *
 */

#include "ForceSensorSkel.h"


#ifndef FORCESENSORSVC_IMPL_H
#define FORCESENSORSVC_IMPL_H
 
/*
 * Example class implementing IDL interface FS
 */
class FSSVC_impl
 : public virtual POA_FS,
   public virtual PortableServer::RefCountServantBase
{
 private:
   // Make sure all instances are built on the heap by making the
   // destructor non-public
   //virtual ~FSSVC_impl();

 public:
   // standard constructor
   FSSVC_impl();
   virtual ~FSSVC_impl();

   // attributes and operations
   CORBA::Short Get_Wrench(FS::DoubleArray Force);
   CORBA::Short Get_DigitalWrench(FS::DoubleArray Force);
   CORBA::Short Reset_Peak();
   CORBA::Short Get_MaxPeak(FS::DoubleArray Force);
   CORBA::Short Get_MinPeak(FS::DoubleArray Force);
   CORBA::Short Set_Offset();
   CORBA::Short Get_Offset(FS::DoubleArray Offset);
   CORBA::Short Set_Fullscale(FS::ShortArray Force);
   CORBA::Short Get_Fullscale(FS::DoubleArray Force);
   CORBA::Short Set_Filter(CORBA::Short& num);
   CORBA::Short Get_Filter(CORBA::Short& num);
   CORBA::Short Set_ToolCoordinate(FS::DoubleArray Tool);
   CORBA::Short Get_ToolCoordinate(FS::DoubleArray Tool);

};



#endif // FORCESENSORSVC_IMPL_H


